$(document).ready(function() {
  $('table.striped tbody').each(function() { 
    $(this).find('tr:not(:has(th))').addClass('even')
      .filter (function(index) {
        return (index % 6) < 3;
      }).removeClass('even').addClass('odd'); 
  });
});

 $(document).ready(function() {
   var $authorCells = $('table.striped td:nth-child(3)');
   var $tooltip = $('<div id="tooltip"></div>').appendTo('body');
   
   var positionTooltip = function(event) {
     var tPosX = event.pageX;
     var tPosY = event.pageY + 20;
     $tooltip.css({top: tPosY, left: tPosX});
   };
   var showTooltip = function(event) {
     var authorName = $(this).text();
     var action = ' ';
     if ($(this).parent().is('.highlight')) {
       action = '  ';
     }
     $tooltip
       .text(action + ' : ' + authorName)
       .show();
     positionTooltip(event);
   };
   var hideTooltip = function() {
     $tooltip.hide();
   };
 
   $authorCells
     .addClass('clickable')
     .hover(showTooltip, hideTooltip)
     .mousemove(positionTooltip)
     .click(function(event) {
       var authorName = $(this).text();
       $authorCells.each(function(index) {
         if (authorName == $(this).text()) {
           $(this).parent().toggleClass('highlight');
         }
         else {
           $(this).parent().removeClass('highlight');
         }
       });
     showTooltip.call(this, event);
     });
 });

 $(document).ready(function() {
   var collapseIcon = 'images/bullet_toggle_minus.png';
   var collapseText = '  ';
   var expandIcon = 'images/bullet_toggle_plus.png';
   var expandText = '  ';
   $('table.collapsible tbody').each(function() {
     var $section = $(this);
     $('<img />').attr('src', collapseIcon)
       .attr('alt', collapseText)
       .prependTo($section.find('th'))
       .addClass('clickable')
       .click(function() {
         if ($section.is('.collapsed')) {
           $section.removeClass('collapsed')
             .find('tr:not(:has(th))').fadeIn('slow'); //show();
           $(this).attr('src', collapseIcon)
             .attr('alt', collapseText);
         }
         else {
           $section.addClass('collapsed')
             .find('tr:not(:has(th))').fadeOut('slow'); //hide(); 
           $(this).attr('src', expandIcon)
             .attr('alt', expandText);
         }
       });
   });
 });

 $(document).ready(function() {
   $('table.filterable').each(function() {
     var $table = $(this);
 
     $table.find('th').each(function(column) {
       if ($(this).is('.filter-column')) {
         var $filters = $('<div class="filters"></div>');
         $('<h3></h3>')
           .text('  ' + $(this).text() + ':')
           .appendTo($filters);
         $filters.insertBefore($table);
       }
     });
   });
 });
